curl --request PATCH \
--url https://api.blockradar.co/v1/rates/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"minAmount": "MIN_AMOUNT",
"rate": "ASSET_PAIR_RATE"
}
'{
"data": {
"createdAt": "2026-02-19T07:59:35.481Z",
"fromAsset": "USDC",
"id": "cad01df3-4041-4e81-a368-534fb4de5d12",
"isActive": true,
"maxAmount": null,
"minAmount": "0.000006",
"network": "testnet",
"previousRateId": "76fa84c2-ebd6-459d-b451-ea3dd30ecec6",
"rate": "1",
"rootRateId": "76fa84c2-ebd6-459d-b451-ea3dd30ecec6",
"status": "active",
"toAsset": "BNB",
"version": 2
},
"message": "Rate updated successfully",
"statusCode": 200
}Updates an existing rate for a specific asset pair.
Use this endpoint to modify the rate and/or minimum amount for a previously-created rate. Updates are applied to the rate identified by id.
PATCH https://api.blockradar.co/v1/rates/:id
| Key | Required | Type | Description |
|---|---|---|---|
| id | true | string | The unique identifier of the rate to update. |
Provide only the fields you want to update (partial updates supported).
| Key | Required | Type | Description |
|---|---|---|---|
| rate | false | string | The updated exchange rate for the asset pair. Provided as a string to avoid floating point precision issues. |
| minAmount | false | string | The updated minimum amount allowed for this rate/pair. Provided as a string. |
curl --request PATCH \
--url https://api.blockradar.co/v1/rates/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"minAmount": "MIN_AMOUNT",
"rate": "ASSET_PAIR_RATE"
}
'{
"data": {
"createdAt": "2026-02-19T07:59:35.481Z",
"fromAsset": "USDC",
"id": "cad01df3-4041-4e81-a368-534fb4de5d12",
"isActive": true,
"maxAmount": null,
"minAmount": "0.000006",
"network": "testnet",
"previousRateId": "76fa84c2-ebd6-459d-b451-ea3dd30ecec6",
"rate": "1",
"rootRateId": "76fa84c2-ebd6-459d-b451-ea3dd30ecec6",
"status": "active",
"toAsset": "BNB",
"version": 2
},
"message": "Rate updated successfully",
"statusCode": 200
}"rate_id"